package com.ejie.ab79.model.preguntasRespuestas;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * FicherosAdjExp  
 * 
 *  
 */

public class FicherosAdjExp implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idFicheroAdjExp;
	private Integer idRespuestaExpediente;
	private Integer tipoFicheroAdjunto;
	private String nombreFicheroAdjunto;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private Integer idPreguntaExpediente;
	private String oidPid;
	private String pathPif;
	private Integer idDocumentoSubido;
	private String idDocumentoMovil;

	/**
	 * Method 'FicherosAdjExp'.
	 */
	public FicherosAdjExp() {
	}

	/**
	 * Method 'FicherosAdjExp'.
	 * 
	 * @param idFicheroAdjExp
	 *            Integer
	 */
	public FicherosAdjExp(Integer idFicheroAdjExp) {
		this.idFicheroAdjExp = idFicheroAdjExp;
	}

	/**
	 * Method 'FicherosAdjExp'.
	 * 
	 * @param idFicheroAdjExp
	 *            Integer
	 * @param idRespuestaExpediente
	 *            Integer
	 * @param tipoFicheroAdjunto
	 *            Integer
	 * @param nombreFicheroAdjunto
	 *            String
	 * @param idDocumentoSubido
	 *            Integer
	 * @param ficheroAdjunto
	 *            Blob
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param idDocumentacionMovil
	 *            Integer
	 */
	public FicherosAdjExp(Integer idFicheroAdjExp, Integer idRespuestaExpediente, Integer tipoFicheroAdjunto,
			String nombreFicheroAdjunto, Integer idDocumentoSubido, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion, String idDocumentoMovil) {

		this.idFicheroAdjExp = idFicheroAdjExp;
		this.idRespuestaExpediente = idRespuestaExpediente;
		this.tipoFicheroAdjunto = tipoFicheroAdjunto;
		this.nombreFicheroAdjunto = nombreFicheroAdjunto;
		this.idDocumentoSubido = idDocumentoSubido;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.idDocumentoMovil = idDocumentoMovil;
	}

	/**
	 * Method 'getIdFicheroAdjExp'.
	 *
	 * @return Integer
	 */

	public Integer getIdFicheroAdjExp() {
		return this.idFicheroAdjExp;
	}

	/**
	 * Method 'setIdFicheroAdjExp'.
	 *
	 * @param idFicheroAdjExp
	 *            Integer
	 * @return
	 */

	public void setIdFicheroAdjExp(Integer idFicheroAdjExp) {
		this.idFicheroAdjExp = idFicheroAdjExp;
	}

	/**
	 * Method 'getIdRespuestaExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdRespuestaExpediente() {
		return this.idRespuestaExpediente;
	}

	/**
	 * Method 'setIdRespuestaExpediente'.
	 *
	 * @param idRespuestaExpediente
	 *            Integer
	 * @return
	 */

	public void setIdRespuestaExpediente(Integer idRespuestaExpediente) {
		this.idRespuestaExpediente = idRespuestaExpediente;
	}

	/**
	 * Method 'getTipoFicheroAdjunto'.
	 *
	 * @return Integer
	 */

	public Integer getTipoFicheroAdjunto() {
		return this.tipoFicheroAdjunto;
	}

	/**
	 * Method 'setTipoFicheroAdjunto'.
	 *
	 * @param tipoFicheroAdjunto
	 *            Integer
	 * @return
	 */

	public void setTipoFicheroAdjunto(Integer tipoFicheroAdjunto) {
		this.tipoFicheroAdjunto = tipoFicheroAdjunto;
	}

	/**
	 * Method 'getNombreFicheroAdjunto'.
	 *
	 * @return String
	 */

	public String getNombreFicheroAdjunto() {
		return this.nombreFicheroAdjunto;
	}

	/**
	 * Method 'setNombreFicheroAdjunto'.
	 *
	 * @param nombreFicheroAdjunto
	 *            String
	 * @return
	 */

	public void setNombreFicheroAdjunto(String nombreFicheroAdjunto) {
		this.nombreFicheroAdjunto = nombreFicheroAdjunto;
	}

	/**
	 * @return the idDocumentoSubido
	 */
	public Integer getIdDocumentoSubido() {
		return this.idDocumentoSubido;
	}

	/**
	 * @param idDocumentoSubido
	 *            the idDocumentoSubido to set
	 */
	public void setIdDocumentoSubido(Integer idDocumentoSubido) {
		this.idDocumentoSubido = idDocumentoSubido;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdPreguntaExpediente'.
	 *
	 * @return Integer
	 */
	public Integer getIdPreguntaExpediente() {
		return idPreguntaExpediente;
	}

	/**
	 * Method 'setIdPreguntaExpediente'.
	 *
	 * @param idPreguntaExpediente
	 *            Integer
	 * @return
	 */
	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	public String getOidPid() {
		return oidPid;
	}

	public void setOidPid(String oidPid) {
		this.oidPid = oidPid;
	}

	public String getPathPif() {
		return pathPif;
	}

	public void setPathPif(String pathPif) {
		this.pathPif = pathPif;
	}

	/**
	 * @return the idDocumentacionMovil
	 */
	public String getIdDocumentoMovil() {
		return idDocumentoMovil;
	}

	/**
	 * @param idDocumentacionMovil
	 *            the idDocumentacionMovil to set
	 */
	public void setIdDocumentoMovil(String idDocumentoMovil) {
		this.idDocumentoMovil = idDocumentoMovil;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idFicheroAdjExp: ").append(this.idFicheroAdjExp).append(" ]");
		result.append(", [ idRespuestaExpediente: ").append(this.idRespuestaExpediente).append(" ]");
		result.append(", [ tipoFicheroAdjunto: ").append(this.tipoFicheroAdjunto).append(" ]");
		result.append(", [ nombreFicheroAdjunto: ").append(this.nombreFicheroAdjunto).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append(", [ idDocumentoMovil: ").append(this.idDocumentoMovil).append(" ]");
		result.append("}");
		return result.toString();
	}

}
